
 <?php

    require_once ('../inventario/conexion.php');
 
       
    $marcaimpre = $_POST["marcaimpre"];
    $serialimpre = $_POST['serialimpre'];
    $ip = $_POST['ip'];
    $estadoimpre = $_POST['estadoimpre'];
     $observacion = $_POST['observacion'];
       
      
    $objconexion = new conexion();

    if(!empty($marcaimpre) && !empty($serialimpre) && !empty($ip) && !empty($estadoimpre) && !empty($estadomouse) && !empty($observacion)) 
   	  echo $return;
{
   

    $sentenciaupdate = "UPDATE impresoras SET Serial_impresora='$serialimpre', estado_impresora='$estadoimpre', ip='$ip', marca_impresora='$marcaimpre', fecha_ingreso = now()
        WHERE Serial_impresora='$serialimpre'"; 

   //echo $sentenciaupdate ;

  //$objconexion -> consultararraynum($sentenciaupdate);
  $return = $objconexion->Ejecutar($sentenciaupdate);

 
    if($return==1)

        {
            echo '<script language="javascript" type="text/javascript">alert("Se Actualisaron los datos en la base de datos");
                 window.location ="ingresarimpresora.php";
                 </script>';
        }
        else
        {
            echo '<script language="javascript" type="text/javascript">alert("error en la Actualizacion");
                 window.location ="ingresarimpresora.php";
                 </script>';
         }
}


    if(!empty($marcaimpre) && !empty($serialimpre) && !empty($ip) && !empty($estadoimpre) && !empty($estadomouse) && !empty($observacion)) 
      echo $return;
{
   
$SentenciaInsert2 = "INSERT INTO historial_impresora VALUES(null,'".$serialimpre."','".$marcaimpre."',null,'".$ip."','".$estadoimpre."',now(),'".$observacion."')";
     
     //echo $SentenciaInsert2;

    $return = $objconexion->Ejecutar($SentenciaInsert2);



        if($return==1 )
        {
            echo '<script language="javascript">alert("Se guardaron los datos en la base de datos")
                  window.location ="ingresarimpresora.php";
                  </script>';
        }
        else
        {
            echo '<script language="javascript">alert("error en la insercion")
                  window.location ="ingresarimpresora.php";
                  </script>';
         }
}

?>